/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package impl.message.AllDataType;

import kr.pe.sinnori.common.message.AbstractReflect;
import kr.pe.sinnori.common.message.output.AbstractOutputMessage;

/**
 * AllDataType 출력 메시지<br/>
 * 고정 크기 스트림에서 모든 데이터 타입을 테스트 하기 위한 출력 메시지
 * 
 * @author Won Jonghoon
 * 
 */
public final class AllDataTypeOutputMessage extends AbstractOutputMessage {
	public byte byteVar1;
	public byte byteVar2;
	public byte byteVar3;

	public short unsignedByteVar1;
	public short unsignedByteVar2;
	public short unsignedByteVar3;

	public short shortVar1;
	public short shortVar2;
	public short shortVar3;
	public int unsignedShortVar1;
	public int unsignedShortVar2;
	public int unsignedShortVar3;
	public int intVar1;
	public int intVar2;
	public int intVar3;
	public long unsignedIntVar1;
	public long unsignedIntVar2;
	public long unsignedIntVar3;
	public long longVar1;
	public long longVar2;
	public long longVar3;

	public String strVar1;
	public String strVar2;
	public String strVar3;
	public byte bytesVar1[];

	public int cnt;

	public class Member extends AbstractReflect {
		public String memberID;
		public String memberName;
		public int cnt;

		public class Item extends AbstractReflect {
			public String itemID;
			public String itemName;
			public int itemCnt;
		}

		public Item itemList[];
	}

	public Member mebmerList[];
}
